> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jogg.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Photo Avatar List

> Get a list of your photo avatar



## OpenAPI

````yaml GET /avatars/photo_avatars
openapi: 3.0.1
info:
  title: OpenAPI Render API
  description: A sample API that demonstrates features in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.jogg.ai/v1
security:
  - apiKeyAuth: []
tags:
  - name: Create Video from URL
    description: |-



      Product video generation workflow:



        1. First call POST /product to crawl product information



        2. Optionally call PUT /product to modify product details using the product_id from step 1



        3. Finally call POST /create_video_from_url to generate video using the product_id from step 1
  - name: Webhook
    description: Webhook configuration and management
paths:
  /avatars/photo_avatars:
    get:
      tags:
        - Avatar
      summary: Get Photo Avatar List
      description: Get a list of your photo avatar
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponse'
                  - type: object
                    properties:
                      data:
                        type: object
                        properties:
                          avatars:
                            type: array
                            items:
                              type: object
                              properties:
                                avatar_id:
                                  type: integer
                                  description: Avatar ID
                                  example: 12345
                                name:
                                  type: string
                                  description: Avatar name
                                  example: My Photo Avatar
                                cover_url:
                                  type: string
                                  description: Cover image URL
                                  example: https://example.com/avatar/cover.jpg
                                status:
                                  type: integer
                                  description: |
                                    Avatar status
                                    * 0 - in progress
                                    * 1 - success
                                    * 2 - failed
                                  enum:
                                    - 0
                                    - 1
                                    - 2
                                  example: 1
                                fail_msg:
                                  type: string
                                  description: Error message when status is failed
                                  example: ''
                                aspect_ratio:
                                  type: integer
                                  description: Aspect ratio of the avatar
                                  example: 9
                                style:
                                  type: string
                                  description: Avatar style
                                  example: professional
                                gender:
                                  type: string
                                  description: Avatar gender
                                  example: male
                                age:
                                  type: string
                                  description: Avatar age range
                                  example: 25-35
      security:
        - apiKeyAuth: []
components:
  schemas:
    BaseResponse:
      type: object
      required:
        - code
        - msg
      properties:
        code:
          type: integer
          description: |



            Business status code:



            * 0 - Success



            * 10104 - Record not found



            * 10105 - Invalid API key



            * 18020 - Insufficient credit



            * 18025 - No permission to call APIs.



            * 40000 - Parameter error



            * 50000 - System error
        msg:
          type: string
          description: Response message
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````